<?php
if ( ! defined( 'ABSPATH' ) ) {
  exit; // Exit if accessed directly.
}

$infowindow_content = '';
$infowindow_content .= '<div class="legocreative-gm-iw ' . $infowindow_layout . '">';

if ( $infowindow_heading ) {
  $infowindow_content .= '<div class="lgm-iw-head"><h4>';
  $infowindow_content .= $infowindow_heading;
  $infowindow_content .= '</h4></div>';
}

$infowindow_content .= '<div class="lgm-iw-body">';
$infowindow_content .= '<div class="lgm-iw-thumb">';
if ( $infowindow_image && '' !== $infowindow_image ) {
  $img_src = $this->getImageSrc( $infowindow_image );
  $infowindow_content .= '<div class="thumb-wrapper rec-fill" style="background-image:url(' . esc_url( $img_src ) . ')">';
  $infowindow_content .= '<img src="' . esc_url( $img_src ) . '" alt="' . __( 'Infowindow image', 'legocreative' ) . '">';
  $infowindow_content .= '</div>';
}
$infowindow_content .= '</div>';
$infowindow_content .= '<div class="lgm-iw-content">';
$infowindow_content .= $content;
$infowindow_content .= '</div>';
$infowindow_content .= '<div class="lgm-iw-bottom-gradient">&nbsp;</div>';
$infowindow_content .= '</div>';

$infowindow_content .= '</div>';

